UP - 30/07/2013 12:00 UTC [TESTING] [DONE]

SolydXK is too quiet for you? SolydXK Enthusiast Editions, based on Debian Testing is for you! Here you can find news about Debian Testing and Unstable too, and also tests on SolydXK programs.
The support for SolydXK EE is provided by the community.
User avatar
Arjen Balfoort
Site Admin
Posts: 9394
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

UP - 30/07/2013 12:00 UTC [TESTING] [DONE]

Postby Arjen Balfoort » 30 Jul 2013 06:04

[EDIT: 06/08/2013 12:05 UTC]

I just switched the repositories.
This means that current testing in now old production.

Do not upgrade and install from the testing repository!

====================================================================

Gentlemen,

Santa has finished on KDE 4.10.5 !
For KDE testers, make sure your /etc/apt/sources.list looks like this:

Code: Select all

deb http://packages.solydxk.com/ solydxk main upstream import kdenext community testing 
deb http://debian.solydxk.com/testing testing main contrib non-free
deb http://debian.solydxk.com/testing/multimedia testing main non-free
deb http://debian.solydxk.com/security testing/updates main contrib non-free
Note:
The information shown by the "Update Pack Info" button in the Update Manager, is updated every time there is an issue and workaround (If you don't see the title "Update Pack 2013.08.06", you need to refresh the below frame):

[up-info=testing][/up-info]


SolydXK needs you!
Development | Testing | Translations

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 30/07/2013 12:00 UTC

Postby zerozero » 30 Jul 2013 11:10

Schoelje wrote:This will give Santa a day extra to build his KDE packages.
Schoelje,
probably this needs some contextualization ;) for one it's great news and addresses desires/concerns that several users have.
bliss of ignorance

User avatar
Arjen Balfoort
Site Admin
Posts: 9394
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 30/07/2013 12:00 UTC

Postby Arjen Balfoort » 30 Jul 2013 11:29

OP adapted.


SolydXK needs you!
Development | Testing | Translations

User avatar
Arjen Balfoort
Site Admin
Posts: 9394
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 30/07/2013 12:00 UTC

Postby Arjen Balfoort » 30 Jul 2013 12:04

Running synchronization now...
Do not update your system while synchronization is running. I'll post back when I'm done.


[EDIT]
I had to reboot the server...twice. So, it'll take a bit longer.
In the mean time Santa was trying to explain to me how to make a partial mirror with reprepro...headache...

[EDIT2]

Code: Select all

Errors:
 Download of pool/main/f/ffmpeg-dmo/ffmpeg-dbg_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/ffmpeg_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libav-tools_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libavcodec-dev_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libavcodec54_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libavdevice-dev_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libavdevice54_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libavfilter-dev_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libavfilter3_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libavformat-dev_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libavformat54_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libavutil-dev_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libavutil52_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libpostproc-dev_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libpostproc52_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libswresample-dev_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libswresample0_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libswscale-dev_1.2.2-dmo1_amd64.deb failed: 404 Not Found
 Download of pool/main/f/ffmpeg-dmo/libswscale2_1.2.2-dmo1_amd64.deb failed: 404 Not Found
Failed to download files (19 errors)!
Run sync again...
This time they were downloaded.


SolydXK needs you!
Development | Testing | Translations

User avatar
Arjen Balfoort
Site Admin
Posts: 9394
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 30/07/2013 12:00 UTC

Postby Arjen Balfoort » 30 Jul 2013 16:29

Synchronization is done!
This is still without the KDE update: Santa needs to build them. I'll post back when we're done


SolydXK needs you!
Development | Testing | Translations

User avatar
GeneC
Posts: 747
Joined: 12 Feb 2013 17:49
Location: Woods of Maine

Re: UP - 30/07/2013 12:00 UTC

Postby GeneC » 30 Jul 2013 17:19

SolydX-64bit (nvidia)

Full upgrade using Update Manager, reboot and no appartant problems nor error messages on upgrade (Other than the old annoying 'fontcong message'... ) :x Which does not apply as fonts DO work as expected...
[...]Fontconfig warning: "/etc/fonts/conf.d/65-droid-sans-fonts.conf", line 103: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/65-droid-sans-fonts.conf", line 138: Having multiple values in <test> isn't supported and may not work as expected
[...]

[rimg]http://img547.imageshack.us/img547/3742/2p20.png[/rimg]

Nice job! :mrgreen:
GeneC

Debian (Testing)
Siduction (Debian SID)

User avatar
GeneC
Posts: 747
Joined: 12 Feb 2013 17:49
Location: Woods of Maine

Re: UP - 30/07/2013 12:00 UTC

Postby GeneC » 30 Jul 2013 17:32

Found an issue. No lightdm (not apparant on re-boot as I use auto-login).

On logout = blank screen

[...]

=====================

SOLVED: :mrgreen:

It was a theme issue (was using selene, changed to default 'Adwaita')
I had seen this issue on my SID install.
LightDM is fine with Adwaita (possible some others?).

PS.
Greybird theme works as well
I can still use selene as my dekstop theme with no issues, just not in LightDM

Image
GeneC

Debian (Testing)
Siduction (Debian SID)

User avatar
Arjen Balfoort
Site Admin
Posts: 9394
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 30/07/2013 12:00 UTC

Postby Arjen Balfoort » 30 Jul 2013 18:09

/etc/profile is a file.
I think that can't be related: I've added the file to several systems, and it didn't change a ting to lightdm.

I'm running the update on SolydX32 now to see if I have the same issue.

Do you still have lightdm-manager installed (I saw it was going to be upgraded)?


SolydXK needs you!
Development | Testing | Translations

User avatar
GeneC
Posts: 747
Joined: 12 Feb 2013 17:49
Location: Woods of Maine

Re: UP - 30/07/2013 12:00 UTC [lightdm theme issue]

Postby GeneC » 30 Jul 2013 18:42

Schoelje

I made several edits to my post since you first read it. (Please re-read) HERE. Those weren't the issues at all. I found the real issue. It was simply a theme issue. Most wont notice any problems unless they have changed the LightDM themes.

Ive tried
  • Oxygen-gtk
    Adwaita
    Greybird
    Bluebird
All these work... ;)

================

Perhaps a note on this theme issue in Update Pack Info screen?
Those not using auto-login and having a non-workable theme (in LightDM) may re-boot to a blank screen.
GeneC

Debian (Testing)
Siduction (Debian SID)

User avatar
Arjen Balfoort
Site Admin
Posts: 9394
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: UP - 30/07/2013 12:00 UTC

Postby Arjen Balfoort » 30 Jul 2013 19:13

Edited the UP Info page to reflect GeneC's issue.

I had to update the UM. With the upgrade things were changed in part of python's API, which caused UM to crash after the upgrade.
Now version 1.2.2


SolydXK needs you!
Development | Testing | Translations

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 30/07/2013 12:00 UTC

Postby zerozero » 30 Jul 2013 19:19

i have a problem here (K-64bit) that i didn't see in any of the tests i performed earlier

Code: Select all

The following packages will be REMOVED:
  blender devede ffmpeg gstreamer0.10-plugins-good gtk-recordmydesktop ia32-libs-gtk istanbul
  kdenlive libasound2-plugins libasound2-plugins:i386 libavdevice53 libavdevice54
  libcanberra-pulse libcupsdriver1 libjack-jackd2-0 libjack-jackd2-0:i386 libmlt++3 libmlt6
  libwayland0 lives melt mplayer mplayerthumbs openshot pulseaudio pulseaudio-esound-compat
  pulseaudio-module-bluetooth pulseaudio-module-gconf pulseaudio-module-x11
  pulseaudio-module-zeroconf python-mlt6 recordmydesktop timidity timidity-daemon
almost al my multimedia stack is to be removed; now i didn't grab packages from sid/experimental in this install but i think that this is a versions mismatch of some order or a multiarch thingy :o
investigating .... ideas much appreciated
bliss of ignorance

User avatar
MAYBL8
Posts: 1487
Joined: 10 Mar 2013 18:41
Location: Maryland Heights, MO USA
Contact:

Re: UP - 30/07/2013 12:00 UTC

Postby MAYBL8 » 30 Jul 2013 19:34

I am SID. Don't know if this helps:
danc-e535 build # apt policy ffmpeg
ffmpeg:
Installed: 9:1.2.2-dmo1
Candidate: 9:1.2.2-dmo1
Version table:
*** 9:1.2.2-dmo1 0
500 http://www.deb-multimedia.org/ sid/main amd64 Packages
100 /var/lib/dpkg/status
6:0.8.7-1 0
500 http://http.us.debian.org/debian/ unstable/main amd64 Packages


User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 30/07/2013 12:00 UTC

Postby zerozero » 30 Jul 2013 19:43

Thanks Dan 8-)
it's a multiarch issue. after uninstalling more than i wanted (and let's see now if i can get 'em back :mrgreen: ) and finally hitting the nail on

Code: Select all

Removed the following packages:
ia32-libs
ia32-libs-gtk
ia32-libs-i386:i386
the output is

Code: Select all

The following packages will be REMOVED:
  libcupsdriver1 libjack-jackd2-0:i386 libwayland0
The following NEW packages will be installed:
ohh how i luv :twisted: multiarch
bliss of ignorance

User avatar
GeneC
Posts: 747
Joined: 12 Feb 2013 17:49
Location: Woods of Maine

Re: UP - 30/07/2013 12:00 UTC

Postby GeneC » 30 Jul 2013 19:56

Schoelje wrote:Edited the UP Info page to reflect GeneC's issue.
....
LightDM
If you're using the "selene" theme for LightDM, and you're not using autologin, you will boot into a blank screen, not able to login.
Nice, but I am afraid it not just 'selene', there are several gtk themes that will break LightDM. Zukitwo for instance. Perhaps many more. Would be nice if others test this as well. If you have autologin enable it will re-boot and you can change to a theme that works. If you dont have autologin you will boot to a blank screen... :(
GeneC

Debian (Testing)
Siduction (Debian SID)

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 30/07/2013 12:00 UTC

Postby zerozero » 30 Jul 2013 20:48

anyone else seeing this
snapshot114.png
i have no idea if it's mesa 9.x and my card that don't match or something else

Code: Select all

zerozero@home ~ $ inxi -Gxx
Graphics:  Card: Intel Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller bus-ID: 00:02.0 chip-ID: 8086:0162 
           X.Org: 1.12.4 drivers: intel (unloaded: fbdev,vesa) Resolution: 1440x900@59.9hz 
           GLX Renderer: Mesa DRI Intel Ivybridge Desktop GLX Version: 3.0 Mesa 9.1.4 Direct Rendering: Yes
on the bright side :? i managed to reinstall all the lost lib/app
bliss of ignorance

Deleted User 2761

Re: UP - 30/07/2013 12:00 UTC

Postby Deleted User 2761 » 30 Jul 2013 21:22

I installed the new UP. No errors reported.

Code: Select all

Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete werden ENTFERNT:
  libwayland0
Die folgenden NEUEN Pakete werden installiert:
  at-spi2-core cups-browsed cups-daemon cups-server-common ethtool init-system-helpers libatk-bridge2.0-0
  libatspi2.0-0 libcolorhug1 libdrm-dev libdrm-nouveau2:i386 libfluidsynth1 libfontembed1 libgd3 libkms1 libllvm3.2
  libllvm3.2:i386 libqpdf10 libsecret-1-0 libsecret-common libtevent0 libtxc-dxtn0 libtxc-dxtn0:i386 libudisks2-0
  libwayland-client0 libwayland-server0 libwireshark3 libwiretap3 libwsutil3 libx11-xcb-dev libx264-135
  libxcb-dri2-0:i386 libxcb-dri2-0-dev libxcb-glx0-dev libxdamage-dev libxfixes-dev libxxf86vm-dev qpdf qtcore4-l10n
  udisks2 x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev x11proto-xf86vidmode-dev
Die folgenden Pakete werden aktualisiert (Upgrade):
  apt-show-versions aptdaemon autopoint bind9-host bootlogd browser-plugin-vlc bsdutils colord console-setup
  console-setup-linux cups cups-client cups-common cups-filters cups-ppdc dconf-gsettings-backend dconf-service
  debhelper debian-goodies debian-keyring dictionaries-common dnsutils dput e2fslibs e2fsprogs ed ffmpeg findutils
  firmware-atheros firmware-bnx2 firmware-bnx2x firmware-brcm80211 firmware-intelwimax firmware-ipw2x00 
---------------
---------------
python-xdg python3.3 python3.3-minimal qdbus qtchooser rpm-common rpm2cpio rsyslog ruby-qt4 ruby-qt4-webkit ruby1.8
  samba samba-common samba-common-bin subversion sysv-rc sysvinit sysvinit-utils tcl8.4 tcl8.5 tk8.5 tshark
  ufraw-batch user-setup util-linux uuid-runtime vim-common vim-tiny vlc vlc-data vlc-nox vlc-plugin-notify
  vlc-plugin-pulse whois winbind winff winff-gtk2 winff-qt wireless-regdb wireshark-common xdg-user-dirs xterm
391 aktualisiert, 45 neu installiert, 1 zu entfernen und 0 nicht aktualisiert.
Es müssen noch 0 B von 451 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 20,1 MB Plattenplatz freigegeben.
System

Code: Select all

crizzly@baer ~ $ inxi -Fz
System:    Host: baer Kernel: 3.9-1-amd64 x86_64 (64 bit) Desktop: KDE 4.8.4 Distro: Debian GNU/Linux jessie/sid
Machine:   Mobo: ASRock model: N68-S3 UCC Bios: American Megatrends version: P1.60 date: 09/19/2011
CPU:       Quad core AMD Phenom II X4 840 (-MCP-) cache: 2048 KB flags: (lm nx sse sse2 sse3 sse4a svm) 
           Clock Speeds: 1: 800.00 MHz 2: 800.00 MHz 3: 800.00 MHz 4: 800.00 MHz
Graphics:  Card: NVIDIA GF119 [GeForce GT 520] X.Org: 1.12.4 driver: nouveau Resolution: 1920x1080@60.0hz 
           GLX Renderer: Gallium 0.4 on NVD9 GLX Version: 3.0 Mesa 9.1.4
Audio:     Card-1: C-Media CMI8738/CMI8768 PCI Audio driver: snd_cmipci Sound: ALSA ver: k3.9-1-amd64
           Card-2: NVIDIA GF119 HDMI Audio Controller driver: snd_hda_intel 
Network:   Card-1: NVIDIA MCP61 Ethernet driver: forcedeth 
           IF: eth1 state: down mac: <filter>
           Card-2: AVM Fritz!WLAN N [Atheros AR9001U] driver: carl9170 
           IF: wlan0 state: up mac: <filter>
Drives:    HDD Total Size: 1300.3GB (2.1% used) 1: id: /dev/sda model: WDC_WD5000AADS size: 500.1GB 
           2: id: /dev/sdc model: WDC_WD1600AAJS size: 160.0GB 3: id: /dev/sdb model: WDC_WD6401AALS size: 640.1GB 
Partition: ID: / size: 30G used: 9.3G (34%) fs: ext4 
Sensors:   System Temperatures: cpu: 49.0C mobo: 43.0C 
           Fan Speeds (in rpm): cpu: 2481 
Info:      Processes: 184 Uptime: 24 min Memory: 1358.8/8005.6MB Client: Shell (bash) inxi: 1.8.45 
crizzly@baer ~ $ 
@zerozero

I have no ia32-libs.

Code: Select all

crizzly@baer ~ $ dpkg -l | grep ia32
crizzly@baer ~ $ dpkg -l | grep multiarch
ii  multiarch-support                      2.17-7                            amd64        Transitional package to ensure multiarch compatibility

User avatar
GeneC
Posts: 747
Joined: 12 Feb 2013 17:49
Location: Woods of Maine

Re: UP - 30/07/2013 12:00 UTC

Postby GeneC » 30 Jul 2013 21:26

'z'

I am on SolydX so might not apply. I dont have libffmpegthumbnailer4 installed. No issues other than the old libc6/gtk issues.
GeneC

Debian (Testing)
Siduction (Debian SID)

Deleted User 2761

Re: UP - 30/07/2013 12:00 UTC

Postby Deleted User 2761 » 30 Jul 2013 21:31

I have libffmpegthumbnailer4 installed, but i have no problems.

Code: Select all

crizzly@baer ~ $ dpkg -l | grep libffmpegthumbnailer4
ii  libffmpegthumbnailer4                  2.0.7-2                           amd64        shared library for ffmpegthumbnailer
crizzly@baer ~ $ 

User avatar
GeneC
Posts: 747
Joined: 12 Feb 2013 17:49
Location: Woods of Maine

Re: UP - 30/07/2013 12:00 UTC

Postby GeneC » 30 Jul 2013 21:35

libc6 upgrade breaks many GTK Themes.

More GTK themes issues. (I should have known this from SID, but did not think they would come so fast to testing).

As I mentioned the theme/lightdm issue. I said that (selene or zukito or a dozen other gtk themes) still worked on desktop. Not really !. Many apps do not open. segfault ... Synaptic, gedit for a couple.

You have to just try various themes until you find them that do work.
From LMDE forums HERE

Using the Mediterranean Darkest(I like dark themes) series now.
GeneC

Debian (Testing)
Siduction (Debian SID)

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: UP - 30/07/2013 12:00 UTC

Postby zerozero » 30 Jul 2013 21:42

Thanks my friends 8-)
the issues in the picture above are (i'm almost sure now) theme related.
once i restored to defaults and rebooted those issues went away; after that i managed to reconstruct almost all the previous desktop again (except bespin, this one triggers the tearing)

===
re: ia32-libs: this installs has some time and i have no idea why it was installed but it's not needed and can/will cause troubles sooner than later. don't regret it's gone :lol: and all the MIA were recovered

Code: Select all

Commit Log for Tue Jul 30 21:36:39 2013


Installed the following packages:
amarok (2.7.1-1)
blender (2.63a-1)
clamz (0.5-1)
digikam (4:2.6.0-1+b2)
ffmpegthumbnailer (2.0.7-2)
ffmpegthumbs (4:4.8.4-2)
frei0r-plugins (1.1.22git20091109-1.2)
kino (1.3.4-1.3)
kipi-plugins (4:2.6.0-1+b2)
libavdevice53 (7:0.10.3-dmo1)
libffmpegthumbnailer4 (2.0.7-2)
libk3b6-extracodecs (2.0.2-6)
libopencv-calib3d2.3 (2.3.1-12)
libopencv-contrib2.3 (2.3.1-12)
libopencv-features2d2.3 (2.3.1-12)
libopencv-highgui2.3 (2.3.1-12)
libopencv-legacy2.3 (2.3.1-12)
libopencv-objdetect2.3 (2.3.1-12)
lives (2.0.5~ds0-1)
python-opencv (2.3.1-12)
showfoto (4:2.6.0-1+b2)
===
===
the only issue so far that i couldn't solve is scrolling in synaptic: just doesn't happen. anyone can replicate it?
bliss of ignorance


Return to “Testing Zone”

Who is online

Users browsing this forum: No registered users and 2 guests